Berkeley DB version 4.7.25

## com.sleepycat.db
Class ReplicationManagerStats

    java.lang.Object
      com.sleepycat.db.ReplicationManagerStats

    public class ReplicationManagerStats

extends Object

Replication Manager statistics for a database environment.

Method Summary
`int` `getConnectFail()` The number of times new connection attempts have failed..
`int` `getConnectionDrop()` The number of existing connections that have been dropped since the statistics were last reset..
`int` `getMsgsDropped()` The number of messages discarded due to queue length overflows..
`int` `getMsgsQueued()` The number of messages queued due to a network delay..
`int` `getPermFailed()` The number of times a PERM message originating at this site did not receive sufficient acknowledgement from clients, according to the configured acknowledgement policy and acknowledgement timeout..
`String` `toString()` For convenience, the ReplicationManagerStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPermFailed

    public int getPermFailed()

  The number of times a PERM message originating at this site did not receive sufficient acknowledgement from clients, according to the configured acknowledgement policy and acknowledgement timeout..

### getMsgsQueued

    public int getMsgsQueued()

  The number of messages queued due to a network delay..

### getMsgsDropped

    public int getMsgsDropped()

  The number of messages discarded due to queue length overflows..

### getConnectionDrop

    public int getConnectionDrop()

  The number of existing connections that have been dropped since the statistics were last reset..

### getConnectFail

    public int getConnectFail()

  The number of times new connection attempts have failed..

### toString

    public String toString()

  For convenience, the ReplicationManagerStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Berkeley DB version 4.7.25

Copyright (c) 1996,2008 Oracle. All rights reserved.